{
  char *pamyodalib = gSystem->ExpandPathName("$PAM_YODALIB");
  stringstream libYODA;
  libYODA.str("");
  libYODA << pamyodalib << "/libyoda.so";
  gSystem->Load(libYODA.str().c_str());
  char *pamlib = gSystem->ExpandPathName("$PAM_LIB");
  char *paminc = gSystem->ExpandPathName("$PAM_INC");
  stringstream incload;
  incload.str("");
  incload << paminc << "/CaloFunctions.h";
  gROOT->LoadMacro(incload.str().c_str());
  char *pam_lib=gSystem->Getenv("PAM_LIB");
  stringstream libload;
  libload.str("");
  libload << pam_lib << "/libtrack";
  gSystem->Load(libload.str().c_str());
  libload.str("");
  libload << pam_lib << "/libreadb2maps";
  gSystem->Load(libload.str().c_str());
  libload.str("");
  libload << pam_lib << "/libreadb2maps_C";
  gSystem->Load(libload.str().c_str());
  libload.str("");
  libload << pam_lib << "/libreadmy";
  gSystem->Load(libload.str().c_str());
  libload.str("");
  libload << pam_lib << "/libreadmy_C";
  gSystem->Load(libload.str().c_str());
  libload.str("");
  libload << pam_lib << "/libopcalol2";
  gSystem->Load(libload.str().c_str());
  libload.str("");
  libload << pam_lib << "/libcrcalol2";
  gSystem->Load(libload.str().c_str());
  libload.str("");
  libload << pam_lib << "/libclcalol2";
  gSystem->Load(libload.str().c_str());
  libload.str("");
  libload << pam_lib << "/libopcalol2_C";
  gSystem->Load(libload.str().c_str());
  libload.str("");
  libload << pam_lib << "/libcrcalol2_C";
  gSystem->Load(libload.str().c_str());
  libload.str("");
  libload << pam_lib << "/libclcalol2_C";
  gSystem->Load(libload.str().c_str());
  libload.str("");
  libload << pam_lib << "/liboptrklev2";
  gSystem->Load(libload.str().c_str());
  libload.str("");
  libload << pam_lib << "/libretrklev2";
  gSystem->Load(libload.str().c_str());
  libload.str("");
  libload << pam_lib << "/libcltrklev2";
  gSystem->Load(libload.str().c_str());
  libload.str("");
  libload << pam_lib << "/liboptrklev2_C";
  gSystem->Load(libload.str().c_str());
  libload.str("");
  libload << pam_lib << "/libretrklev2_C";
  gSystem->Load(libload.str().c_str());
  libload.str("");
  libload << pam_lib << "/libcltrklev2_C";
  gSystem->Load(libload.str().c_str());
  libload.str("");
  libload << pam_lib << "/Calo_LEVEL2_c";
  gSystem->Load(libload.str().c_str());
}
